Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messageselector
Class LogicalExpression

    java.lang.Object
      net.sf.dropboxmq.messageselector.Expression
          net.sf.dropboxmq.messageselector.BinaryExpression
              net.sf.dropboxmq.messageselector.LogicalExpression

Direct Known Subclasses:
  LogicalExpression.AndExpression, LogicalExpression.OrExpression

    public abstract class LogicalExpression

extends BinaryExpression

Created: 13 Oct 2007

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz

Nested Class Summary
`static class` | `LogicalExpression.AndExpression`
`static class` | `LogicalExpression.OrExpression`

Constructor Summary
`protected` | `LogicalExpression(Expression left, Token leftToken, Expression right, Token rightToken)`

Method Summary
`Class` | `getValueClass()`

Methods inherited from class net.sf.dropboxmq.messageselector.BinaryExpression
`getLeft, getRight, promote, toString`

Methods inherited from class net.sf.dropboxmq.messageselector.Expression
`evaluate, getValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogicalExpression

    protected LogicalExpression(Expression left,
                                Token leftToken,
                                Expression right,
                                Token rightToken)
                         throws ParseException

Throws:
  `ParseException`

Method Detail

### getValueClass

    public Class getValueClass()

  Specified by:
    `getValueClass` in class `Expression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD